{
  "schema_version": "1.4.0",
  "id": "GHSA-h3gg-c3fx-2m67",
  "modified": "2025-04-20T03:41:05Z",
  "published": "2022-05-17T01:06:04Z",
  "aliases": [
    "CVE-2017-9765"
  ],
  "details": "Integer overflow in the soap_get function in Genivia gSOAP 2.7.x and 2.8.x before 2.8.48, as used on Axis cameras and other devices, allows remote attackers to execute arbitrary code or cause a denial of service (stack-based buffer overflow and application crash) via a large XML document, aka Devil's Ivy. NOTE: the large document would be blocked by many common web-server configurations on general-purpose computers.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-9765"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1472807"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.suse.com/show_bug.cgi?id=1049348"
    },
    {
      "type": "WEB",
      "url": "https://www.genivia.com/advisory.html#Security_advisory:_CVE-2017-9765_bug_in_certain_versions_of_gSOAP_2.7_up_to_2.8.47_%28June_21%2C_2017%29"
    },
    {
      "type": "WEB",
      "url": "https://www.genivia.com/advisory.html#Security_advisory:_CVE-2017-9765_bug_in_certain_versions_of_gSOAP_2.7_up_to_2.8.47_%28June_21,_2017%29"
    },
    {
      "type": "WEB",
      "url": "https://www.genivia.com/changelog.html#Version_2.8.48_upd_%2806/21/2017%29"
    },
    {
      "type": "WEB",
      "url": "http://blog.senr.io/blog/devils-ivy-flaw-in-widely-used-third-party-code-impacts-millions"
    },
    {
      "type": "WEB",
      "url": "http://blog.senr.io/devilsivy.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/99868"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-07-20T00:29:00Z"
  }
}